import { Theme } from '@material-ui/core/styles'
import { createStyles } from '@material-ui/styles'

import sharedStyles from '../shared-styles'

// eslint-disable-next-line
export default (theme: Theme) =>
  createStyles({
    ...sharedStyles(theme),
    pageContent: { ...sharedStyles(theme).pageContent, height: '70%', alignItems: 'center', justifyContent: 'center' },
    titleContainer: {
      flex: 1,
      display: 'flex',
      justifyContent: 'center',
      flexDirection: 'column',
      textAlign: 'center',
      '& .MuiTypography-root': {
        marginBottom: theme.spacing(2),
      },
    },
  })
